<template>
  <section v-if="user" class="user-page">
    <UserCard style="grid-row: 2; grid-column: 2" :user="user"/>
    <section style="grid-row: 4; grid-column: 2" class="box">
      <EventList v-if="booked_events" :events="booked_events"/>
    </section>
  </section>
</template>

<script>
  import UserCard from '../components/UserCard'
  import EventList from '../components/EventList'
  import axios from 'axios'
  export default {
    name: "User",
    components: { EventList, UserCard },
    props: ['user'],
    data() {
      return {
        booked_events: null,
      }
    },
    created () {
      this.fetchUserEvents();
    },
    methods: {
      fetchUserEvents() {
        axios.get(`${this.$hostname}/api/user/booked_events/`).then((response) => {
          this.booked_events = response.data;
        }).catch((error) => {
          console.log(error);
        })
      }
    }
  }
</script>

<style scoped>
.user-page {
  display: grid;
  grid-template-columns: 1fr 75vw 1fr;
  grid-template-rows: 45px 1fr 45px auto;
}
</style>
